# SubTask (SubServers.Host)

net.ME1312.SubServers.Host.API

## Class SubTask

- java.lang.Object
- - net.ME1312.SubServers.Host.API.SubTask

All Implemented Interfaces:
  java.lang.Runnable

    public abstract class SubTask
    extends java.lang.Object
    implements java.lang.Runnable

SubServers Task Builder Class

### Constructor Summary

Constructors
Constructor and Description
`SubTask(SubPluginInfo plugin)` Create a new Task

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `delay()` Get the Delay for this task
`SubTask` `delay(long value)` Delay this task
`SubPluginInfo` `plugin()` Get the Plugin that created this task
`long` `repeat()` Get the Repeat Interval for this task
`SubTask` `repeat(long value)` Set the Repeat Interval for this task
`java.util.UUID` `schedule()` Schedule this task

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Runnable

`run`

### Constructor Detail

#### SubTask

    public SubTask(SubPluginInfo plugin)

Create a new Task

Parameters:
  `plugin` - Plugin Creating

### Method Detail

#### plugin

    public SubPluginInfo plugin()

Get the Plugin that created this task

Returns:
  Plugin Info

#### repeat

    public SubTask repeat(long value)

Set the Repeat Interval for this task

Parameters:
  `value` - Value
Returns:
  Task Builder

#### repeat

    public long repeat()

Get the Repeat Interval for this task

Returns:
  Repeat Interval

#### delay

    public SubTask delay(long value)

Delay this task

Parameters:
  `value` - Value
Returns:
  Task Builder

#### delay

    public long delay()

Get the Delay for this task

Returns:
  Task Delay

#### schedule

    public java.util.UUID schedule()

Schedule this task

Returns:
  Task ID